<?php
// +----------------------------------------------------------------------+
// | Anuko Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) Anuko International Ltd. (http://www.anuko.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+
// | Contributors:
// | http://www.anuko.com/time_tracker/credits.htm
// +----------------------------------------------------------------------+

	require_once('../initialize.php');
	import('form.Form');
	import('form.ActionForm');
	import('DateAndTime');

import('ttUserHelper');
	import('Period');

    import('form.check.Validator');
import('ttSysConfig');

// Authentication check and redirect.
if ($auth->isAuthenticated()) {
  if ($user->isAdmin()) {
    header('Location: admin_teams.php');
    exit();
  }
} else {
  header('Location: login.php');
  exit();
}

$form = new Form('mailForm');
$form->addInput(array('type'=>'text','name'=>'receiver','style'=>'width: 300px;'));
$form->addInput(array('type'=>'text','name'=>'cc','style'=>'width: 300px;'));
$form->addInput(array('type'=>'text','name'=>'subject','style'=>'width: 300px;'));
$form->addInput(array('type'=>'textarea','name'=>'comment','maxlength'=>'250','style'=>'width: 300px; height: 60px;'));

    $form->addInput(array("type"=>"submit","name"=>"btn_send"));

    $repform = new Form('reportForm');
	$bean = new ActionForm("reportBean", $repform);

	// period
	if ($bean->getAttribute("period")) {
  		$period = new Period($bean->getAttribute("period"), new DateAndTime($user->date_format));
	} else {
		$o_from = new DateAndTime($user->date_format, $bean->getAttribute("from"));
		$o_to = new DateAndTime($user->date_format, $bean->getAttribute("to"));
		$period = new Period();
		$period->setPeriod($o_from, $o_to);
	}

	// selected users
	if ($user->canManageTeam() && is_array($bean->getAttribute('users')))
		$userlist = join(',', $bean->getAttribute('users'));
    if (!isset($userlist))	$userlist = $user->id;

	// Set email on the form.
	$sc = new ttSysConfig($user->id);
	$last_report_email = $sc->getValue(SYSC_LAST_REPORT_EMAIL);
	$last_report_cc = $sc->getValue(SYSC_LAST_REPORT_CC);
  	if ($last_report_email) {
  	  $form->setValueByElement("receiver", $last_report_email);
   	} else {
   	  $form->setValueByElement("receiver", $user->email);
   	}

   	// Set cc email on the form.
    if ($last_report_cc) {
      $form->setValueByElement("cc", $last_report_cc);
    } 
   	
   	// Set subject.
	$form->setValueByElement('subject', $i18n->getKey('form.mail.report_subject'));
	$form->setValueByElement('btn_send', $i18n->getKey('button.send'));

	if ($request->getMethod()=="POST") {
    	$cl_receiver = $request->getParameter('receiver');
    	$cl_cc = $request->getParameter('cc');
        $cl_subject = $request->getParameter('subject');
        $cl_comment = $request->getParameter('comment');


        $validator = new Validator($cl_receiver);
		$validator->validateEmailList();
        if (!$validator->isValid()) {
        	$errors->add($i18n->getKey('error.field'), $i18n->getKey('form.mail.to'));
        }
        
	    if ($cl_cc) {
	      $validator = new Validator($cl_cc);
		  $validator->validateEmailList();
          if (!$validator->isValid()) {
        	$errors->add($i18n->getKey('error.field'), $i18n->getKey('form.mail.cc'));
          }
        }

        if ($errors->isEmpty()) {
        $letter_structure	= '<html><head><meta http-equiv="Content-Type" content="text/html; charset='.CHARSET.'">'."\n".'</head><body><p>%s</p>%s<p style="text-align: center;">%s</p></div></body></html>';
	    	ob_start();
	   		include(APP_DIR.'/old/prepare.report_timesheet_old.php');
	   		include(APP_DIR.'/old/report_timesheet_old.php');
	    	$accum = ob_get_clean();
	    	$let_body = sprintf($letter_structure, $cl_comment, $accum, $i18n->getKey("form.mail.footer"));

	    	import("mail.Mailer");
	    	$sender = new Mailer();
	    	$sender->setCharSet(CHARSET);
	    	$sender->setContentType("text/html");
	    	$sender->setSender(SENDER);
	    	$sender->setReceiver("$cl_receiver");
	    	if (isset($cl_cc)) $sender->setReceiverCC("$cl_cc");

	    	$sender->setSendType(MAIL_MODE);
	    	$res = $sender->send($cl_subject, $let_body);
	    	$smarty->assign('result_message', $res ? $i18n->getKey('form.mail.report_sent') :  $i18n->getKey('error.mail_send'));
	    	
	    	// Save last report email for future use.
	    	$sc->setValue(SYSC_LAST_REPORT_EMAIL, $cl_receiver);
	    	$sc->setValue(SYSC_LAST_REPORT_CC, $cl_cc);
        }
    } else {
    	$receiver = $form->getValueByElement("receiver");
    	if ($receiver) {
    	  $smarty->assign("onload","onLoad = \"document.mailForm.comment.focus()\"");
    	} else {
    	  $smarty->assign("onload","onLoad = \"document.mailForm.receiver.focus()\"");
    	}
    }

	$smarty->assign("errors", $errors);
	$smarty->assign("forms",array($form->getName()=>$form->toArray()));

$smarty->assign('title', $i18n->getKey('title.send_report'));
$smarty->assign('content_page_name', 'old/mail_old.tpl');
$smarty->display('old/index_old.tpl');
?>